from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XGraphicMapper(Protocol):
    def findGraphic(self, Id: str) -> XGraphic: ...
    def putGraphic(self, Id: str, Graphic: XGraphic) -> None: ...
